Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaBridgeExampleClients

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients
  - - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBridgeExampleClients

-     public class KafkaBridgeExampleClients
      extends KafkaBasicExampleClients

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `KafkaBridgeExampleClients.Builder` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `consumerStrimziBridge()` |
    `int` | `getPollInterval()` |
    `int` | `getPort()` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `producerStrimziBridge()` |
    `KafkaBridgeExampleClients.Builder` | `toBuilder()` |

    - ### Methods inherited from class io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients

      `consumerStrimzi, createAndWaitForReadiness, defaultConsumerStrimzi, defaultProducerStrimzi, getAdditionalConfig, getBootstrapAddress, getConsumerGroup, getConsumerName, getDelayMs, getMessageCount, getProducerName, getTopicName, producerStrimzi`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPollInterval

          public int getPollInterval()

    - #### getPort

          public int getPort()

    - #### toBuilder

          public KafkaBridgeExampleClients.Builder toBuilder()

      Overrides:
        `toBuilder` in class `KafkaBasicExampleClients`

    - #### producerStrimziBridge

          public io.fabric8.kubernetes.api.model.batch.JobBuilder producerStrimziBridge()

    - #### consumerStrimziBridge

          public io.fabric8.kubernetes.api.model.batch.JobBuilder consumerStrimziBridge()